Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
WP1Parser Class Reference

`#include <WP1Parser.h>`

Inheritance diagram for WP1Parser:

## Public Member Functions
| WP1Parser (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP1Parser () override
void | parse (librevenge::RVNGTextInterface *documentInterface) override
void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface) override
Public Member Functions inherited from WPXParser
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()

## Static Public Member Functions
static void | parseDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP1Listener *listener)

## Private Member Functions
void | parse (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP1Listener *listener)

## Additional Inherited Members
Protected Member Functions inherited from WPXParser
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Constructor & Destructor Documentation

## ◆ WP1Parser()

WP1Parser::WP1Parser | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP1Parser()

WP1Parser::~WP1Parser | ( |  | ) |
| override

## Member Function Documentation

## ◆ parse() [1/2]

void WP1Parser::parse | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP1Listener * | listener
| ) |  |
| private

## ◆ parse() [2/2]

void WP1Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| override virtual

Implements WPXParser.

## ◆ parseDocument()

void WP1Parser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP1Listener * | listener
| ) |  |
| static

Referenced by parse(), WP1SubDocument::parse(), and parseSubDocument().

## ◆ parseSubDocument()

void WP1Parser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| override virtual

Implements WPXParser.

The documentation for this class was generated from the following files:

- WP1Parser.h
- WP1Parser.cpp